[arch-commits] Commit in libssh/repos (4 files)

Andreas Radke andyrtr at archlinux.org
Sat May 2 12:34:59 UTC 2015


    Date: Saturday, May 2, 2015 @ 14:34:59
  Author: andyrtr
Revision: 238346

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  libssh/repos/extra-i686/PKGBUILD
    (from rev 238345, libssh/trunk/PKGBUILD)
  libssh/repos/extra-x86_64/PKGBUILD
    (from rev 238345, libssh/trunk/PKGBUILD)
Deleted:
  libssh/repos/extra-i686/PKGBUILD
  libssh/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |   98 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   49 ------------------------
 extra-x86_64/PKGBUILD |   49 ------------------------
 3 files changed, 98 insertions(+), 98 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2015-05-02 12:34:45 UTC (rev 238345)
+++ extra-i686/PKGBUILD	2015-05-02 12:34:59 UTC (rev 238346)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: ice-man <icemanf at gmail.com>
-# Contributor: sergeantspoon <sergeantspoon at archlinux.us>
-
-pkgname=libssh
-pkgver=0.6.4
-pkgrel=1
-pkgdesc="Library for accessing ssh client services through C libraries"
-url="http://www.libssh.org/"
-license=('LGPL')
-arch=('i686' 'x86_64')
-depends=('zlib' 'openssl')
-makedepends=('cmake' 'cmocka' 'doxygen')
-checkdepends=('openssh')
-source=(https://red.libssh.org/attachments/download/107/${pkgname}-${pkgver}.tar.gz
-        https://red.libssh.org/attachments/download/108/${pkgname}-${pkgver}.tar.asc)
-md5sums=('8a7daa171c69913f475dacffcb639fda'
-         'SKIP')
-validpgpkeys=('8DFF53E18F2ABC8D8F3C92237EE0FC4DCC014E3D') # Andreas Schneider <asn at cryptomilk.org>
-
-prepare() {
-  # disable the test. It is confused by our clean container setup.
-  # 'extra-x86-build' uses user 'nobody' that has a record in /etc/passwd file
-  # but $HOME envvar is set to '/build'. The test expects that $HOME corresponds to passwd file.
-  sed 's/unit_test(torture_path_expand_tilde_unix),//' -i libssh-${pkgver}/tests/unittests/torture_misc.c
-}
-
-build() {
-  mkdir build || true
-  cd build
-  cmake ../${pkgname}-${pkgver} \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DWITH_GSSAPI=OFF \
-    -DWITH_TESTING=ON
-  make
-}
-
-check() {
-  cd build
-  make test
-}
-
-package(){
-  cd build
-  make DESTDIR="${pkgdir}" install
-}

Copied: libssh/repos/extra-i686/PKGBUILD (from rev 238345, libssh/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2015-05-02 12:34:59 UTC (rev 238346)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: ice-man <icemanf at gmail.com>
+# Contributor: sergeantspoon <sergeantspoon at archlinux.us>
+
+pkgname=libssh
+pkgver=0.6.5
+pkgrel=1
+pkgdesc="Library for accessing ssh client services through C libraries"
+url="http://www.libssh.org/"
+license=('LGPL')
+arch=('i686' 'x86_64')
+depends=('zlib' 'openssl')
+makedepends=('cmake' 'cmocka' 'doxygen')
+checkdepends=('openssh')
+source=(https://red.libssh.org/attachments/download/121/${pkgname}-${pkgver}.tar.xz
+        https://red.libssh.org/attachments/download/120/${pkgname}-${pkgver}.tar.asc)
+md5sums=('fdf107011ae1847d86620b39ae37d4f3'
+         'SKIP')
+validpgpkeys=('8DFF53E18F2ABC8D8F3C92237EE0FC4DCC014E3D') # Andreas Schneider <asn at cryptomilk.org>
+
+prepare() {
+  # disable the test. It is confused by our clean container setup.
+  # 'extra-x86-build' uses user 'nobody' that has a record in /etc/passwd file
+  # but $HOME envvar is set to '/build'. The test expects that $HOME corresponds to passwd file.
+  sed 's/unit_test(torture_path_expand_tilde_unix),//' -i libssh-${pkgver}/tests/unittests/torture_misc.c
+}
+
+build() {
+  mkdir build || true
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DWITH_GSSAPI=OFF \
+    -DWITH_TESTING=ON
+  make
+}
+
+check() {
+  cd build
+  make test
+}
+
+package(){
+  cd build
+  make DESTDIR="${pkgdir}" install
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2015-05-02 12:34:45 UTC (rev 238345)
+++ extra-x86_64/PKGBUILD	2015-05-02 12:34:59 UTC (rev 238346)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: ice-man <icemanf at gmail.com>
-# Contributor: sergeantspoon <sergeantspoon at archlinux.us>
-
-pkgname=libssh
-pkgver=0.6.4
-pkgrel=1
-pkgdesc="Library for accessing ssh client services through C libraries"
-url="http://www.libssh.org/"
-license=('LGPL')
-arch=('i686' 'x86_64')
-depends=('zlib' 'openssl')
-makedepends=('cmake' 'cmocka' 'doxygen')
-checkdepends=('openssh')
-source=(https://red.libssh.org/attachments/download/107/${pkgname}-${pkgver}.tar.gz
-        https://red.libssh.org/attachments/download/108/${pkgname}-${pkgver}.tar.asc)
-md5sums=('8a7daa171c69913f475dacffcb639fda'
-         'SKIP')
-validpgpkeys=('8DFF53E18F2ABC8D8F3C92237EE0FC4DCC014E3D') # Andreas Schneider <asn at cryptomilk.org>
-
-prepare() {
-  # disable the test. It is confused by our clean container setup.
-  # 'extra-x86-build' uses user 'nobody' that has a record in /etc/passwd file
-  # but $HOME envvar is set to '/build'. The test expects that $HOME corresponds to passwd file.
-  sed 's/unit_test(torture_path_expand_tilde_unix),//' -i libssh-${pkgver}/tests/unittests/torture_misc.c
-}
-
-build() {
-  mkdir build || true
-  cd build
-  cmake ../${pkgname}-${pkgver} \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DWITH_GSSAPI=OFF \
-    -DWITH_TESTING=ON
-  make
-}
-
-check() {
-  cd build
-  make test
-}
-
-package(){
-  cd build
-  make DESTDIR="${pkgdir}" install
-}

Copied: libssh/repos/extra-x86_64/PKGBUILD (from rev 238345, libssh/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2015-05-02 12:34:59 UTC (rev 238346)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: ice-man <icemanf at gmail.com>
+# Contributor: sergeantspoon <sergeantspoon at archlinux.us>
+
+pkgname=libssh
+pkgver=0.6.5
+pkgrel=1
+pkgdesc="Library for accessing ssh client services through C libraries"
+url="http://www.libssh.org/"
+license=('LGPL')
+arch=('i686' 'x86_64')
+depends=('zlib' 'openssl')
+makedepends=('cmake' 'cmocka' 'doxygen')
+checkdepends=('openssh')
+source=(https://red.libssh.org/attachments/download/121/${pkgname}-${pkgver}.tar.xz
+        https://red.libssh.org/attachments/download/120/${pkgname}-${pkgver}.tar.asc)
+md5sums=('fdf107011ae1847d86620b39ae37d4f3'
+         'SKIP')
+validpgpkeys=('8DFF53E18F2ABC8D8F3C92237EE0FC4DCC014E3D') # Andreas Schneider <asn at cryptomilk.org>
+
+prepare() {
+  # disable the test. It is confused by our clean container setup.
+  # 'extra-x86-build' uses user 'nobody' that has a record in /etc/passwd file
+  # but $HOME envvar is set to '/build'. The test expects that $HOME corresponds to passwd file.
+  sed 's/unit_test(torture_path_expand_tilde_unix),//' -i libssh-${pkgver}/tests/unittests/torture_misc.c
+}
+
+build() {
+  mkdir build || true
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DWITH_GSSAPI=OFF \
+    -DWITH_TESTING=ON
+  make
+}
+
+check() {
+  cd build
+  make test
+}
+
+package(){
+  cd build
+  make DESTDIR="${pkgdir}" install
+}



More information about the arch-commits mailing list